package com.uas.cloud.mall.home;

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.security.oauth2.client.EnableOAuth2Sso;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cloud.client.circuitbreaker.EnableCircuitBreaker;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.feign.EnableFeignClients;
import org.springframework.cloud.netflix.zuul.EnableZuulProxy;

/**
 * 商城首页
 *
 * @author yangck
 * @create 2017-02-15 17:34
 */
@SpringBootApplication
@EnableDiscoveryClient
@EnableCircuitBreaker // 开启断路器功能。feign会自动开启断路器功能
@EnableFeignClients
//@Import(RootConfig.class) // 会自动扫描到
@EnableZuulProxy
@EnableOAuth2Sso
public class HomeApplication {
    public static void main(String[] args) {
        new SpringApplicationBuilder(HomeApplication.class).web(true).run(args);
    }
}
