package com.uas.cloud.mall.home.service.impl;

import com.uas.cloud.mall.home.domain.Floor;
import com.uas.cloud.mall.home.service.FloorService;
import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author yangck
 * @create 2017-02-28 9:37
 */
@Component // 必须加上
public class FloorServiceFallback implements FloorService {

    private final Logger logger = LogManager.getLogger(getClass());

    @Override
    public List<Floor> getFloors(String usedFor) {
        logger.error("MALL-FLOOR-SERVICE unavailable");
        return new ArrayList<>();
    }

    @Override
    public Floor getFloor(String id) {
        logger.error("MALL-FLOOR-SERVICE unavailable");
        return new Floor();
    }

    @Override
    public Floor save(Floor floor) {
        logger.error("MALL-FLOOR-SERVICE unavailable");
        return new Floor();
    }

    @Override
    public void delete(String id) {
        logger.error("MALL-FLOOR-SERVICE unavailable");
    }
}
