package com.uas.cloud.mall.home.web;

import com.uas.cloud.mall.home.domain.Carousel;
import com.uas.cloud.mall.home.domain.Floor;
import com.uas.cloud.mall.home.domain.KindInfo;
import com.uas.cloud.mall.home.service.FloorService;
import com.uas.cloud.mall.home.service.HomeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;
import java.util.Map;

/**
 * @author yangck
 * @create 2017-02-15 17:41
 */
@Controller
@RequestMapping("/")
public class HomeController {

    @Autowired
    private HomeService homeService;

    @Autowired
    private FloorService floorService;

    @RequestMapping(method = RequestMethod.GET)
    public String home(Map<String, Object> model) {

        List<Carousel> carousels = homeService.getCarousels("home");
        List<KindInfo> categories = homeService.getCategory(0L);
        List<Floor> floors = floorService.getFloors("home");
        model.put("categories", categories);
        model.put("carousels", carousels);
        model.put("floors", floors);

        // 楼层
        // TODO 客服信息，之后从配置文件中获取商城的企业UU信息
        //CustomService customService = homeService.getCustomService("mall-customer-service");
        //model.put("customService", customService);
        //// TODO 购物车商品数量，之后采用异步方式获取
        //int cartCount = homeService.getCartCount(10030994L, 1000002363L);
        //System.out.println(cartCount);
        return "home";
    }
}
